import 'package:pshared/data/dto/payment/money.dart';
import 'package:pshared/models/payment/money.dart';

extension MoneyMapper on Money {
  MoneyDTO toDTO() => MoneyDTO(
        amount: amount,
        currency: currency,
      );
}

extension MoneyDTOMapper on MoneyDTO {
  Money toDomain() => Money(
        amount: amount,
        currency: currency,
      );
}
